Subject: Re: ntxlib works on Windows 95
From: [email-masked]

1 Jan 1998 18:40:43 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   Sergey Okhapkin ([email-masked])
>   Thu, 1 Jan 1998 14:54:57 +0300
>[email-masked] wrote:
>> If you are not concerned about using your system as a remote X-server,
>than
>> ntxlib is one way to go.  If you want your system to act as an X-server,
>> then the full X11R6 distribution, with a commercial X-server, is the way
>to
>> go.
>
>Did you ever think about merging of libX11 and ntxlib? I.e. if environment
>variable DISPLAY is not set, call ntxlib's gdi calls wrappers, and call X11
>code otherwise?
>
Hey, what a great idea.  All I have to do is download
the X11 files, throw in xnt.h and ntxlib.c, run an
overall make on all .c files, and play with the linker
error messages.  As a zeroeth approximation.  Only
problem is getting the defines right:

for %%f in (*.c) do gcc -c -O5 -I./ -DNeedFunctionPrototypes=1 -D_ConversionValues -DGRAY -D__STDC__ %%f
ar cr libX11.a *.o
ranlib libX11.a

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".